> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post adminobservabilitycomputed outboxanomaliesdiscard group

> Permanently drop every current dead-letter task from one exact root-cause group without replaying it (e.g. when the project no longer exists)

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json post /admin/observability/computed-outbox/anomalies/discard-group
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/computed-outbox/anomalies/discard-group:
    post:
      tags:
        - admin
        - observability
      description: >-
        Permanently drop every current dead-letter task from one exact
        root-cause group without replaying it (e.g. when the project no longer
        exists)


        Required token scopes: `instance|update`
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                targetId:
                  type: string
                  minLength: 1
                  maxLength: 128
                baseId:
                  type: string
                  minLength: 1
                  maxLength: 128
                seedTableId:
                  type: string
                  minLength: 1
                  maxLength: 128
                errorSignature:
                  type: string
                  maxLength: 500
              required:
                - targetId
                - baseId
                - seedTableId
                - errorSignature
      responses:
        '200':
          description: Whole-group discard summary
          content:
            application/json:
              schema:
                type: object
                properties:
                  targetId:
                    type: string
                  discarded:
                    type: integer
                    minimum: 0
                required:
                  - targetId
                  - discarded
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/admin/observability/computed-outbox/anomalies/discard-group \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"targetId":"string","baseId":"string","seedTableId":"string","errorSignature":"string"}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/computed-outbox/anomalies/discard-group';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"targetId":"string","baseId":"string","seedTableId":"string","errorSignature":"string"}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/computed-outbox/anomalies/discard-group',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              targetId: 'string',
              baseId: 'string',
              seedTableId: 'string',
              errorSignature: 'string'
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"targetId\":\"string\",\"baseId\":\"string\",\"seedTableId\":\"string\",\"errorSignature\":\"string\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST",
            "/api/admin/observability/computed-outbox/anomalies/discard-group",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````